List Bank Accounts
curl --request GET \
--url https://api.example.com/v2/bank-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/bank-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/bank-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v2/bank-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v2/bank-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v2/bank-accounts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v2/bank-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"archived": true,
"bank": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"color": "<string>",
"name": "<string>",
"countries": [
"<string>"
],
"archived": true,
"remote_logo": "<string>",
"website": "<string>",
"routing_numbers": [
{}
],
"object": "<string>"
},
"currency": "ADP",
"erp_account_id": "<string>",
"erp_account_number": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"last_transaction_sync_at": "2023-11-07T05:31:56Z",
"ledger_account": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"classification": "asset",
"currency": "ADP",
"current_balance": "<string>",
"description": "<string>",
"is_active": true,
"is_direct_posting_enabled": true,
"name": "<string>",
"number": "<string>",
"parent_account_id": "<string>",
"remote_id": "<string>",
"subtype": "<string>",
"type": "<string>",
"object": "<string>"
},
"linked_integration_id": "<string>",
"iban": "<string>",
"mask": "<string>",
"name": "<string>",
"nickname": "<string>",
"official_name": "<string>",
"party_name": "<string>",
"remote_id": "<string>",
"remote_data": {},
"routing_number": "<string>",
"sync_status": "partial",
"timezone": "Africa/Abidjan",
"type": "cash_management",
"object": "<string>"
}
]{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}bank-accounts
List Bank Accounts
List Bank Accounts
GET
/
v2
/
bank-accounts
List Bank Accounts
curl --request GET \
--url https://api.example.com/v2/bank-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/bank-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/bank-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v2/bank-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v2/bank-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v2/bank-accounts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v2/bank-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"archived": true,
"bank": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"color": "<string>",
"name": "<string>",
"countries": [
"<string>"
],
"archived": true,
"remote_logo": "<string>",
"website": "<string>",
"routing_numbers": [
{}
],
"object": "<string>"
},
"currency": "ADP",
"erp_account_id": "<string>",
"erp_account_number": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"last_transaction_sync_at": "2023-11-07T05:31:56Z",
"ledger_account": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"classification": "asset",
"currency": "ADP",
"current_balance": "<string>",
"description": "<string>",
"is_active": true,
"is_direct_posting_enabled": true,
"name": "<string>",
"number": "<string>",
"parent_account_id": "<string>",
"remote_id": "<string>",
"subtype": "<string>",
"type": "<string>",
"object": "<string>"
},
"linked_integration_id": "<string>",
"iban": "<string>",
"mask": "<string>",
"name": "<string>",
"nickname": "<string>",
"official_name": "<string>",
"party_name": "<string>",
"remote_id": "<string>",
"remote_data": {},
"routing_number": "<string>",
"sync_status": "partial",
"timezone": "Africa/Abidjan",
"type": "cash_management",
"object": "<string>"
}
]{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}Authorizations
Query Parameters
Response
Successful Response
The 3 character ISO 4217 currency code.
Available options:
ADP, AED, AFA, AFN, ALK, ALL, AMD, ANG, AOA, AOK, AON, AOR, ARA, ARL, ARM, ARP, ARS, ATS, AUD, AWG, AZM, AZN, BAD, BAM, BAN, BBD, BDT, BEC, BEF, BEL, BGL, BGM, BGN, BGO, BHD, BIF, BMD, BND, BOB, BOL, BOP, BOV, BRB, BRC, BRE, BRL, BRN, BRR, BRZ, BSD, BTN, BUK, BWP, BYB, BYN, BYR, BZD, CAD, CDF, CHE, CHF, CHW, CLE, CLF, CLP, CNH, CNX, CNY, COP, COU, CRC, CSD, CSK, CUC, CUP, CVE, CYP, CZK, DDM, DEM, DJF, DKK, DOP, DZD, ECS, ECV, EEK, EGP, ERN, ESA, ESB, ESP, ETB, EUR, FIM, FJD, FKP, FRF, GBP, GEK, GEL, GHC, GHS, GIP, GMD, GNF, GNS, GQE, GRD, GTQ, GWE, GWP, GYD, HKD, HNL, HRD, HRK, HTG, HUF, IDR, IEP, ILP, ILR, ILS, INR, IQD, IRR, ISJ, ISK, ITL, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRH, KRO, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LTT, LUC, LUF, LUL, LVL, LVR, LYD, MAD, MAF, MCF, MDC, MDL, MGA, MGF, MKD, MKN, MLF, MMK, MNT, MOP, MRO, MRU, MTL, MTP, MUR, MVP, MVR, MWK, MXN, MXP, MXV, MYR, MZE, MZM, MZN, NAD, NGN, NIC, NIO, NLG, NOK, NPR, NZD, OMR, PAB, PEI, PEN, PES, PGK, PHP, PKR, PLN, PLZ, PTE, PYG, QAR, RHD, ROL, RON, RSD, RUB, RUR, RWF, SAR, SBD, SCR, SDD, SDG, SDP, SEK, SGD, SHP, SIT, SKK, SLE, SLL, SOS, SRD, SRG, SSP, STD, STN, SUR, SVC, SYP, SZL, THB, TJR, TJS, TMM, TMT, TND, TOP, TPE, TRL, TRY, TTD, TWD, TZS, UAH, UAK, UGS, UGX, USD, USN, USS, UYI, UYP, UYU, UYW, UZS, VEB, VED, VEF, VES, VND, VNN, VUV, WST, XAF, XAG, XAU, XBA, XBB, XBC, XBD, XCD, XCG, XDR, XEU, XFO, XFU, XOF, XPD, XPF, XPT, XRE, XSU, XTS, XUA, XXX, YDD, YER, YUD, YUM, YUN, YUR, ZAL, ZAR, ZMK, ZMW, ZRN, ZRZ, ZWD, ZWL, ZWR IANA canonical timezone.
Available options:
Africa/Abidjan, Africa/Cairo, Africa/Johannesburg, Africa/Lagos, Africa/Maputo, Africa/Nairobi, Africa/Tripoli, America/Adak, America/Anchorage, America/Argentina/Buenos_Aires, America/Argentina/Catamarca, America/Argentina/Cordoba, America/Argentina/Jujuy, America/Argentina/Mendoza, America/Chicago, America/Denver, America/Detroit, America/Edmonton, America/Halifax, America/Havana, America/Indiana/Indianapolis, America/Indiana/Knox, America/Iqaluit, America/Jamaica, America/Kentucky/Louisville, America/Los_Angeles, America/Manaus, America/Mazatlan, America/Mexico_City, America/New_York, America/Noronha, America/Nuuk, America/Panama, America/Phoenix, America/Puerto_Rico, America/Regina, America/Rio_Branco, America/Santiago, America/Sao_Paulo, America/St_Johns, America/Tijuana, America/Toronto, America/Vancouver, America/Whitehorse, America/Winnipeg, Asia/Ashgabat, Asia/Bangkok, Asia/Dhaka, Asia/Dubai, Asia/Ho_Chi_Minh, Asia/Hong_Kong, Asia/Jerusalem, Asia/Kathmandu, Asia/Kolkata, Asia/Kuching, Asia/Macau, Asia/Makassar, Asia/Nicosia, Asia/Qatar, Asia/Riyadh, Asia/Seoul, Asia/Shanghai, Asia/Singapore, Asia/Taipei, Asia/Tehran, Asia/Thimphu, Asia/Tokyo, Asia/Ulaanbaatar, Asia/Urumqi, Asia/Yangon, Atlantic/Faroe, Australia/Adelaide, Australia/Brisbane, Australia/Broken_Hill, Australia/Darwin, Australia/Hobart, Australia/Lord_Howe, Australia/Melbourne, Australia/Perth, Australia/Sydney, Etc/GMT, Etc/UTC, Europe/Athens, Europe/Belgrade, Europe/Berlin, Europe/Brussels, Europe/Chisinau, Europe/Dublin, Europe/Helsinki, Europe/Istanbul, Europe/Kyiv, Europe/Lisbon, Europe/London, Europe/Moscow, Europe/Paris, Europe/Prague, Europe/Rome, Europe/Warsaw, Europe/Zurich, Indian/Maldives, Pacific/Auckland, Pacific/Chatham, Pacific/Easter, Pacific/Guadalcanal, Pacific/Guam, Pacific/Honolulu, Pacific/Kanton, Pacific/Kwajalein, Pacific/Pago_Pago, Pacific/Port_Moresby, Pacific/Tarawa Minimum string length:
1